Page MenuHomeFreeBSD

multimedia/xvid: link with -znotext on i386
ClosedPublic

Authored by emaste on Sep 17 2018, 1:45 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Mar 28, 1:35 PM
Unknown Object (File)
Mon, Mar 25, 5:27 PM
Unknown Object (File)
Fri, Mar 15, 10:10 AM
Unknown Object (File)
Fri, Mar 15, 10:08 AM
Unknown Object (File)
Fri, Mar 15, 10:08 AM
Unknown Object (File)
Mar 11 2024, 2:16 PM
Unknown Object (File)
Feb 17 2024, 3:55 AM
Unknown Object (File)
Feb 7 2024, 1:44 AM
Subscribers

Details

Summary

This port links some non-PIC code, which fails with lld as it defaults to disallowing relocations against read-only segments. For i386 we can just add -znotext unconditionally: for GNU BFD ld it just affirms BFD's existing default.

PR: 230208

Aside: as I am not a ports committer I'm looking for one to provide explicit approval for commit.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Sep 18 2018, 4:04 PM
This revision was automatically updated to reflect the committed changes.